package com.unis.base.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyYpxxbExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TyYpxxbExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andYpidIsNull() {
            addCriterion("YPID is null");
            return (Criteria) this;
        }

        public Criteria andYpidIsNotNull() {
            addCriterion("YPID is not null");
            return (Criteria) this;
        }

        public Criteria andYpidEqualTo(String value) {
            addCriterion("YPID =", value, "ypid");
            return (Criteria) this;
        }

        public Criteria andYpidNotEqualTo(String value) {
            addCriterion("YPID <>", value, "ypid");
            return (Criteria) this;
        }

        public Criteria andYpidGreaterThan(String value) {
            addCriterion("YPID >", value, "ypid");
            return (Criteria) this;
        }

        public Criteria andYpidGreaterThanOrEqualTo(String value) {
            addCriterion("YPID >=", value, "ypid");
            return (Criteria) this;
        }

        public Criteria andYpidLessThan(String value) {
            addCriterion("YPID <", value, "ypid");
            return (Criteria) this;
        }

        public Criteria andYpidLessThanOrEqualTo(String value) {
            addCriterion("YPID <=", value, "ypid");
            return (Criteria) this;
        }

        public Criteria andYpidLike(String value) {
            addCriterion("YPID like", value, "ypid");
            return (Criteria) this;
        }

        public Criteria andYpidNotLike(String value) {
            addCriterion("YPID not like", value, "ypid");
            return (Criteria) this;
        }

        public Criteria andYpidIn(List<String> values) {
            addCriterion("YPID in", values, "ypid");
            return (Criteria) this;
        }

        public Criteria andYpidNotIn(List<String> values) {
            addCriterion("YPID not in", values, "ypid");
            return (Criteria) this;
        }

        public Criteria andYpidBetween(String value1, String value2) {
            addCriterion("YPID between", value1, value2, "ypid");
            return (Criteria) this;
        }

        public Criteria andYpidNotBetween(String value1, String value2) {
            addCriterion("YPID not between", value1, value2, "ypid");
            return (Criteria) this;
        }

        public Criteria andYpbhIsNull() {
            addCriterion("YPBH is null");
            return (Criteria) this;
        }

        public Criteria andYpbhIsNotNull() {
            addCriterion("YPBH is not null");
            return (Criteria) this;
        }

        public Criteria andYpbhEqualTo(Date value) {
            addCriterion("YPBH =", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhNotEqualTo(Date value) {
            addCriterion("YPBH <>", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhGreaterThan(Date value) {
            addCriterion("YPBH >", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhGreaterThanOrEqualTo(Date value) {
            addCriterion("YPBH >=", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhLessThan(Date value) {
            addCriterion("YPBH <", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhLessThanOrEqualTo(Date value) {
            addCriterion("YPBH <=", value, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhIn(List<Date> values) {
            addCriterion("YPBH in", values, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhNotIn(List<Date> values) {
            addCriterion("YPBH not in", values, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhBetween(Date value1, Date value2) {
            addCriterion("YPBH between", value1, value2, "ypbh");
            return (Criteria) this;
        }

        public Criteria andYpbhNotBetween(Date value1, Date value2) {
            addCriterion("YPBH not between", value1, value2, "ypbh");
            return (Criteria) this;
        }

        public Criteria andQydbhIsNull() {
            addCriterion("QYDBH is null");
            return (Criteria) this;
        }

        public Criteria andQydbhIsNotNull() {
            addCriterion("QYDBH is not null");
            return (Criteria) this;
        }

        public Criteria andQydbhEqualTo(String value) {
            addCriterion("QYDBH =", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhNotEqualTo(String value) {
            addCriterion("QYDBH <>", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhGreaterThan(String value) {
            addCriterion("QYDBH >", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhGreaterThanOrEqualTo(String value) {
            addCriterion("QYDBH >=", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhLessThan(String value) {
            addCriterion("QYDBH <", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhLessThanOrEqualTo(String value) {
            addCriterion("QYDBH <=", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhLike(String value) {
            addCriterion("QYDBH like", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhNotLike(String value) {
            addCriterion("QYDBH not like", value, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhIn(List<String> values) {
            addCriterion("QYDBH in", values, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhNotIn(List<String> values) {
            addCriterion("QYDBH not in", values, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhBetween(String value1, String value2) {
            addCriterion("QYDBH between", value1, value2, "qydbh");
            return (Criteria) this;
        }

        public Criteria andQydbhNotBetween(String value1, String value2) {
            addCriterion("QYDBH not between", value1, value2, "qydbh");
            return (Criteria) this;
        }

        public Criteria andGgxhIsNull() {
            addCriterion("GGXH is null");
            return (Criteria) this;
        }

        public Criteria andGgxhIsNotNull() {
            addCriterion("GGXH is not null");
            return (Criteria) this;
        }

        public Criteria andGgxhEqualTo(String value) {
            addCriterion("GGXH =", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhNotEqualTo(String value) {
            addCriterion("GGXH <>", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhGreaterThan(String value) {
            addCriterion("GGXH >", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhGreaterThanOrEqualTo(String value) {
            addCriterion("GGXH >=", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhLessThan(String value) {
            addCriterion("GGXH <", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhLessThanOrEqualTo(String value) {
            addCriterion("GGXH <=", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhLike(String value) {
            addCriterion("GGXH like", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhNotLike(String value) {
            addCriterion("GGXH not like", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhIn(List<String> values) {
            addCriterion("GGXH in", values, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhNotIn(List<String> values) {
            addCriterion("GGXH not in", values, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhBetween(String value1, String value2) {
            addCriterion("GGXH between", value1, value2, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhNotBetween(String value1, String value2) {
            addCriterion("GGXH not between", value1, value2, "ggxh");
            return (Criteria) this;
        }

        public Criteria andScrqpcIsNull() {
            addCriterion("SCRQPC is null");
            return (Criteria) this;
        }

        public Criteria andScrqpcIsNotNull() {
            addCriterion("SCRQPC is not null");
            return (Criteria) this;
        }

        public Criteria andScrqpcEqualTo(String value) {
            addCriterion("SCRQPC =", value, "scrqpc");
            return (Criteria) this;
        }

        public Criteria andScrqpcNotEqualTo(String value) {
            addCriterion("SCRQPC <>", value, "scrqpc");
            return (Criteria) this;
        }

        public Criteria andScrqpcGreaterThan(String value) {
            addCriterion("SCRQPC >", value, "scrqpc");
            return (Criteria) this;
        }

        public Criteria andScrqpcGreaterThanOrEqualTo(String value) {
            addCriterion("SCRQPC >=", value, "scrqpc");
            return (Criteria) this;
        }

        public Criteria andScrqpcLessThan(String value) {
            addCriterion("SCRQPC <", value, "scrqpc");
            return (Criteria) this;
        }

        public Criteria andScrqpcLessThanOrEqualTo(String value) {
            addCriterion("SCRQPC <=", value, "scrqpc");
            return (Criteria) this;
        }

        public Criteria andScrqpcLike(String value) {
            addCriterion("SCRQPC like", value, "scrqpc");
            return (Criteria) this;
        }

        public Criteria andScrqpcNotLike(String value) {
            addCriterion("SCRQPC not like", value, "scrqpc");
            return (Criteria) this;
        }

        public Criteria andScrqpcIn(List<String> values) {
            addCriterion("SCRQPC in", values, "scrqpc");
            return (Criteria) this;
        }

        public Criteria andScrqpcNotIn(List<String> values) {
            addCriterion("SCRQPC not in", values, "scrqpc");
            return (Criteria) this;
        }

        public Criteria andScrqpcBetween(String value1, String value2) {
            addCriterion("SCRQPC between", value1, value2, "scrqpc");
            return (Criteria) this;
        }

        public Criteria andScrqpcNotBetween(String value1, String value2) {
            addCriterion("SCRQPC not between", value1, value2, "scrqpc");
            return (Criteria) this;
        }

        public Criteria andLyfsIsNull() {
            addCriterion("LYFS is null");
            return (Criteria) this;
        }

        public Criteria andLyfsIsNotNull() {
            addCriterion("LYFS is not null");
            return (Criteria) this;
        }

        public Criteria andLyfsEqualTo(String value) {
            addCriterion("LYFS =", value, "lyfs");
            return (Criteria) this;
        }

        public Criteria andLyfsNotEqualTo(String value) {
            addCriterion("LYFS <>", value, "lyfs");
            return (Criteria) this;
        }

        public Criteria andLyfsGreaterThan(String value) {
            addCriterion("LYFS >", value, "lyfs");
            return (Criteria) this;
        }

        public Criteria andLyfsGreaterThanOrEqualTo(String value) {
            addCriterion("LYFS >=", value, "lyfs");
            return (Criteria) this;
        }

        public Criteria andLyfsLessThan(String value) {
            addCriterion("LYFS <", value, "lyfs");
            return (Criteria) this;
        }

        public Criteria andLyfsLessThanOrEqualTo(String value) {
            addCriterion("LYFS <=", value, "lyfs");
            return (Criteria) this;
        }

        public Criteria andLyfsLike(String value) {
            addCriterion("LYFS like", value, "lyfs");
            return (Criteria) this;
        }

        public Criteria andLyfsNotLike(String value) {
            addCriterion("LYFS not like", value, "lyfs");
            return (Criteria) this;
        }

        public Criteria andLyfsIn(List<String> values) {
            addCriterion("LYFS in", values, "lyfs");
            return (Criteria) this;
        }

        public Criteria andLyfsNotIn(List<String> values) {
            addCriterion("LYFS not in", values, "lyfs");
            return (Criteria) this;
        }

        public Criteria andLyfsBetween(String value1, String value2) {
            addCriterion("LYFS between", value1, value2, "lyfs");
            return (Criteria) this;
        }

        public Criteria andLyfsNotBetween(String value1, String value2) {
            addCriterion("LYFS not between", value1, value2, "lyfs");
            return (Criteria) this;
        }

        public Criteria andYpsldwIsNull() {
            addCriterion("YPSLDW is null");
            return (Criteria) this;
        }

        public Criteria andYpsldwIsNotNull() {
            addCriterion("YPSLDW is not null");
            return (Criteria) this;
        }

        public Criteria andYpsldwEqualTo(String value) {
            addCriterion("YPSLDW =", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwNotEqualTo(String value) {
            addCriterion("YPSLDW <>", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwGreaterThan(String value) {
            addCriterion("YPSLDW >", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwGreaterThanOrEqualTo(String value) {
            addCriterion("YPSLDW >=", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwLessThan(String value) {
            addCriterion("YPSLDW <", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwLessThanOrEqualTo(String value) {
            addCriterion("YPSLDW <=", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwLike(String value) {
            addCriterion("YPSLDW like", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwNotLike(String value) {
            addCriterion("YPSLDW not like", value, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwIn(List<String> values) {
            addCriterion("YPSLDW in", values, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwNotIn(List<String> values) {
            addCriterion("YPSLDW not in", values, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwBetween(String value1, String value2) {
            addCriterion("YPSLDW between", value1, value2, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andYpsldwNotBetween(String value1, String value2) {
            addCriterion("YPSLDW not between", value1, value2, "ypsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwIsNull() {
            addCriterion("DBSLDW is null");
            return (Criteria) this;
        }

        public Criteria andDbsldwIsNotNull() {
            addCriterion("DBSLDW is not null");
            return (Criteria) this;
        }

        public Criteria andDbsldwEqualTo(String value) {
            addCriterion("DBSLDW =", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwNotEqualTo(String value) {
            addCriterion("DBSLDW <>", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwGreaterThan(String value) {
            addCriterion("DBSLDW >", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwGreaterThanOrEqualTo(String value) {
            addCriterion("DBSLDW >=", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwLessThan(String value) {
            addCriterion("DBSLDW <", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwLessThanOrEqualTo(String value) {
            addCriterion("DBSLDW <=", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwLike(String value) {
            addCriterion("DBSLDW like", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwNotLike(String value) {
            addCriterion("DBSLDW not like", value, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwIn(List<String> values) {
            addCriterion("DBSLDW in", values, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwNotIn(List<String> values) {
            addCriterion("DBSLDW not in", values, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwBetween(String value1, String value2) {
            addCriterion("DBSLDW between", value1, value2, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andDbsldwNotBetween(String value1, String value2) {
            addCriterion("DBSLDW not between", value1, value2, "dbsldw");
            return (Criteria) this;
        }

        public Criteria andLsypbmIsNull() {
            addCriterion("LSYPBM is null");
            return (Criteria) this;
        }

        public Criteria andLsypbmIsNotNull() {
            addCriterion("LSYPBM is not null");
            return (Criteria) this;
        }

        public Criteria andLsypbmEqualTo(String value) {
            addCriterion("LSYPBM =", value, "lsypbm");
            return (Criteria) this;
        }

        public Criteria andLsypbmNotEqualTo(String value) {
            addCriterion("LSYPBM <>", value, "lsypbm");
            return (Criteria) this;
        }

        public Criteria andLsypbmGreaterThan(String value) {
            addCriterion("LSYPBM >", value, "lsypbm");
            return (Criteria) this;
        }

        public Criteria andLsypbmGreaterThanOrEqualTo(String value) {
            addCriterion("LSYPBM >=", value, "lsypbm");
            return (Criteria) this;
        }

        public Criteria andLsypbmLessThan(String value) {
            addCriterion("LSYPBM <", value, "lsypbm");
            return (Criteria) this;
        }

        public Criteria andLsypbmLessThanOrEqualTo(String value) {
            addCriterion("LSYPBM <=", value, "lsypbm");
            return (Criteria) this;
        }

        public Criteria andLsypbmLike(String value) {
            addCriterion("LSYPBM like", value, "lsypbm");
            return (Criteria) this;
        }

        public Criteria andLsypbmNotLike(String value) {
            addCriterion("LSYPBM not like", value, "lsypbm");
            return (Criteria) this;
        }

        public Criteria andLsypbmIn(List<String> values) {
            addCriterion("LSYPBM in", values, "lsypbm");
            return (Criteria) this;
        }

        public Criteria andLsypbmNotIn(List<String> values) {
            addCriterion("LSYPBM not in", values, "lsypbm");
            return (Criteria) this;
        }

        public Criteria andLsypbmBetween(String value1, String value2) {
            addCriterion("LSYPBM between", value1, value2, "lsypbm");
            return (Criteria) this;
        }

        public Criteria andLsypbmNotBetween(String value1, String value2) {
            addCriterion("LSYPBM not between", value1, value2, "lsypbm");
            return (Criteria) this;
        }

        public Criteria andLsypmcIsNull() {
            addCriterion("LSYPMC is null");
            return (Criteria) this;
        }

        public Criteria andLsypmcIsNotNull() {
            addCriterion("LSYPMC is not null");
            return (Criteria) this;
        }

        public Criteria andLsypmcEqualTo(BigDecimal value) {
            addCriterion("LSYPMC =", value, "lsypmc");
            return (Criteria) this;
        }

        public Criteria andLsypmcNotEqualTo(BigDecimal value) {
            addCriterion("LSYPMC <>", value, "lsypmc");
            return (Criteria) this;
        }

        public Criteria andLsypmcGreaterThan(BigDecimal value) {
            addCriterion("LSYPMC >", value, "lsypmc");
            return (Criteria) this;
        }

        public Criteria andLsypmcGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LSYPMC >=", value, "lsypmc");
            return (Criteria) this;
        }

        public Criteria andLsypmcLessThan(BigDecimal value) {
            addCriterion("LSYPMC <", value, "lsypmc");
            return (Criteria) this;
        }

        public Criteria andLsypmcLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LSYPMC <=", value, "lsypmc");
            return (Criteria) this;
        }

        public Criteria andLsypmcIn(List<BigDecimal> values) {
            addCriterion("LSYPMC in", values, "lsypmc");
            return (Criteria) this;
        }

        public Criteria andLsypmcNotIn(List<BigDecimal> values) {
            addCriterion("LSYPMC not in", values, "lsypmc");
            return (Criteria) this;
        }

        public Criteria andLsypmcBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSYPMC between", value1, value2, "lsypmc");
            return (Criteria) this;
        }

        public Criteria andLsypmcNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSYPMC not between", value1, value2, "lsypmc");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIsNull() {
            addCriterion("LSDJBM is null");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIsNotNull() {
            addCriterion("LSDJBM is not null");
            return (Criteria) this;
        }

        public Criteria andLsdjbmEqualTo(BigDecimal value) {
            addCriterion("LSDJBM =", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotEqualTo(BigDecimal value) {
            addCriterion("LSDJBM <>", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmGreaterThan(BigDecimal value) {
            addCriterion("LSDJBM >", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LSDJBM >=", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLessThan(BigDecimal value) {
            addCriterion("LSDJBM <", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LSDJBM <=", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIn(List<BigDecimal> values) {
            addCriterion("LSDJBM in", values, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotIn(List<BigDecimal> values) {
            addCriterion("LSDJBM not in", values, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSDJBM between", value1, value2, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSDJBM not between", value1, value2, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIsNull() {
            addCriterion("LSDJMC is null");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIsNotNull() {
            addCriterion("LSDJMC is not null");
            return (Criteria) this;
        }

        public Criteria andLsdjmcEqualTo(BigDecimal value) {
            addCriterion("LSDJMC =", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotEqualTo(BigDecimal value) {
            addCriterion("LSDJMC <>", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcGreaterThan(BigDecimal value) {
            addCriterion("LSDJMC >", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LSDJMC >=", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLessThan(BigDecimal value) {
            addCriterion("LSDJMC <", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LSDJMC <=", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIn(List<BigDecimal> values) {
            addCriterion("LSDJMC in", values, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotIn(List<BigDecimal> values) {
            addCriterion("LSDJMC not in", values, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSDJMC between", value1, value2, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSDJMC not between", value1, value2, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsxzbmIsNull() {
            addCriterion("LSXZBM is null");
            return (Criteria) this;
        }

        public Criteria andLsxzbmIsNotNull() {
            addCriterion("LSXZBM is not null");
            return (Criteria) this;
        }

        public Criteria andLsxzbmEqualTo(BigDecimal value) {
            addCriterion("LSXZBM =", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotEqualTo(BigDecimal value) {
            addCriterion("LSXZBM <>", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmGreaterThan(BigDecimal value) {
            addCriterion("LSXZBM >", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LSXZBM >=", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmLessThan(BigDecimal value) {
            addCriterion("LSXZBM <", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LSXZBM <=", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmIn(List<BigDecimal> values) {
            addCriterion("LSXZBM in", values, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotIn(List<BigDecimal> values) {
            addCriterion("LSXZBM not in", values, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSXZBM between", value1, value2, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSXZBM not between", value1, value2, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzmcIsNull() {
            addCriterion("LSXZMC is null");
            return (Criteria) this;
        }

        public Criteria andLsxzmcIsNotNull() {
            addCriterion("LSXZMC is not null");
            return (Criteria) this;
        }

        public Criteria andLsxzmcEqualTo(BigDecimal value) {
            addCriterion("LSXZMC =", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcNotEqualTo(BigDecimal value) {
            addCriterion("LSXZMC <>", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcGreaterThan(BigDecimal value) {
            addCriterion("LSXZMC >", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("LSXZMC >=", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcLessThan(BigDecimal value) {
            addCriterion("LSXZMC <", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcLessThanOrEqualTo(BigDecimal value) {
            addCriterion("LSXZMC <=", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcIn(List<BigDecimal> values) {
            addCriterion("LSXZMC in", values, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcNotIn(List<BigDecimal> values) {
            addCriterion("LSXZMC not in", values, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSXZMC between", value1, value2, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("LSXZMC not between", value1, value2, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andYpztbsIsNull() {
            addCriterion("YPZTBS is null");
            return (Criteria) this;
        }

        public Criteria andYpztbsIsNotNull() {
            addCriterion("YPZTBS is not null");
            return (Criteria) this;
        }

        public Criteria andYpztbsEqualTo(BigDecimal value) {
            addCriterion("YPZTBS =", value, "ypztbs");
            return (Criteria) this;
        }

        public Criteria andYpztbsNotEqualTo(BigDecimal value) {
            addCriterion("YPZTBS <>", value, "ypztbs");
            return (Criteria) this;
        }

        public Criteria andYpztbsGreaterThan(BigDecimal value) {
            addCriterion("YPZTBS >", value, "ypztbs");
            return (Criteria) this;
        }

        public Criteria andYpztbsGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("YPZTBS >=", value, "ypztbs");
            return (Criteria) this;
        }

        public Criteria andYpztbsLessThan(BigDecimal value) {
            addCriterion("YPZTBS <", value, "ypztbs");
            return (Criteria) this;
        }

        public Criteria andYpztbsLessThanOrEqualTo(BigDecimal value) {
            addCriterion("YPZTBS <=", value, "ypztbs");
            return (Criteria) this;
        }

        public Criteria andYpztbsIn(List<BigDecimal> values) {
            addCriterion("YPZTBS in", values, "ypztbs");
            return (Criteria) this;
        }

        public Criteria andYpztbsNotIn(List<BigDecimal> values) {
            addCriterion("YPZTBS not in", values, "ypztbs");
            return (Criteria) this;
        }

        public Criteria andYpztbsBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("YPZTBS between", value1, value2, "ypztbs");
            return (Criteria) this;
        }

        public Criteria andYpztbsNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("YPZTBS not between", value1, value2, "ypztbs");
            return (Criteria) this;
        }

        public Criteria andYpsskddmIsNull() {
            addCriterion("YPSSKDDM is null");
            return (Criteria) this;
        }

        public Criteria andYpsskddmIsNotNull() {
            addCriterion("YPSSKDDM is not null");
            return (Criteria) this;
        }

        public Criteria andYpsskddmEqualTo(BigDecimal value) {
            addCriterion("YPSSKDDM =", value, "ypsskddm");
            return (Criteria) this;
        }

        public Criteria andYpsskddmNotEqualTo(BigDecimal value) {
            addCriterion("YPSSKDDM <>", value, "ypsskddm");
            return (Criteria) this;
        }

        public Criteria andYpsskddmGreaterThan(BigDecimal value) {
            addCriterion("YPSSKDDM >", value, "ypsskddm");
            return (Criteria) this;
        }

        public Criteria andYpsskddmGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("YPSSKDDM >=", value, "ypsskddm");
            return (Criteria) this;
        }

        public Criteria andYpsskddmLessThan(BigDecimal value) {
            addCriterion("YPSSKDDM <", value, "ypsskddm");
            return (Criteria) this;
        }

        public Criteria andYpsskddmLessThanOrEqualTo(BigDecimal value) {
            addCriterion("YPSSKDDM <=", value, "ypsskddm");
            return (Criteria) this;
        }

        public Criteria andYpsskddmIn(List<BigDecimal> values) {
            addCriterion("YPSSKDDM in", values, "ypsskddm");
            return (Criteria) this;
        }

        public Criteria andYpsskddmNotIn(List<BigDecimal> values) {
            addCriterion("YPSSKDDM not in", values, "ypsskddm");
            return (Criteria) this;
        }

        public Criteria andYpsskddmBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("YPSSKDDM between", value1, value2, "ypsskddm");
            return (Criteria) this;
        }

        public Criteria andYpsskddmNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("YPSSKDDM not between", value1, value2, "ypsskddm");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcIsNull() {
            addCriterion("YPSSKDMC is null");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcIsNotNull() {
            addCriterion("YPSSKDMC is not null");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcEqualTo(String value) {
            addCriterion("YPSSKDMC =", value, "ypsskdmc");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcNotEqualTo(String value) {
            addCriterion("YPSSKDMC <>", value, "ypsskdmc");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcGreaterThan(String value) {
            addCriterion("YPSSKDMC >", value, "ypsskdmc");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcGreaterThanOrEqualTo(String value) {
            addCriterion("YPSSKDMC >=", value, "ypsskdmc");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcLessThan(String value) {
            addCriterion("YPSSKDMC <", value, "ypsskdmc");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcLessThanOrEqualTo(String value) {
            addCriterion("YPSSKDMC <=", value, "ypsskdmc");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcLike(String value) {
            addCriterion("YPSSKDMC like", value, "ypsskdmc");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcNotLike(String value) {
            addCriterion("YPSSKDMC not like", value, "ypsskdmc");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcIn(List<String> values) {
            addCriterion("YPSSKDMC in", values, "ypsskdmc");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcNotIn(List<String> values) {
            addCriterion("YPSSKDMC not in", values, "ypsskdmc");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcBetween(String value1, String value2) {
            addCriterion("YPSSKDMC between", value1, value2, "ypsskdmc");
            return (Criteria) this;
        }

        public Criteria andYpsskdmcNotBetween(String value1, String value2) {
            addCriterion("YPSSKDMC not between", value1, value2, "ypsskdmc");
            return (Criteria) this;
        }

        public Criteria andQyddIsNull() {
            addCriterion("QYDD is null");
            return (Criteria) this;
        }

        public Criteria andQyddIsNotNull() {
            addCriterion("QYDD is not null");
            return (Criteria) this;
        }

        public Criteria andQyddEqualTo(String value) {
            addCriterion("QYDD =", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddNotEqualTo(String value) {
            addCriterion("QYDD <>", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddGreaterThan(String value) {
            addCriterion("QYDD >", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddGreaterThanOrEqualTo(String value) {
            addCriterion("QYDD >=", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddLessThan(String value) {
            addCriterion("QYDD <", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddLessThanOrEqualTo(String value) {
            addCriterion("QYDD <=", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddLike(String value) {
            addCriterion("QYDD like", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddNotLike(String value) {
            addCriterion("QYDD not like", value, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddIn(List<String> values) {
            addCriterion("QYDD in", values, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddNotIn(List<String> values) {
            addCriterion("QYDD not in", values, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddBetween(String value1, String value2) {
            addCriterion("QYDD between", value1, value2, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyddNotBetween(String value1, String value2) {
            addCriterion("QYDD not between", value1, value2, "qydd");
            return (Criteria) this;
        }

        public Criteria andQyrbmIsNull() {
            addCriterion("QYRBM is null");
            return (Criteria) this;
        }

        public Criteria andQyrbmIsNotNull() {
            addCriterion("QYRBM is not null");
            return (Criteria) this;
        }

        public Criteria andQyrbmEqualTo(String value) {
            addCriterion("QYRBM =", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmNotEqualTo(String value) {
            addCriterion("QYRBM <>", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmGreaterThan(String value) {
            addCriterion("QYRBM >", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmGreaterThanOrEqualTo(String value) {
            addCriterion("QYRBM >=", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmLessThan(String value) {
            addCriterion("QYRBM <", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmLessThanOrEqualTo(String value) {
            addCriterion("QYRBM <=", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmLike(String value) {
            addCriterion("QYRBM like", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmNotLike(String value) {
            addCriterion("QYRBM not like", value, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmIn(List<String> values) {
            addCriterion("QYRBM in", values, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmNotIn(List<String> values) {
            addCriterion("QYRBM not in", values, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmBetween(String value1, String value2) {
            addCriterion("QYRBM between", value1, value2, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrbmNotBetween(String value1, String value2) {
            addCriterion("QYRBM not between", value1, value2, "qyrbm");
            return (Criteria) this;
        }

        public Criteria andQyrmcIsNull() {
            addCriterion("QYRMC is null");
            return (Criteria) this;
        }

        public Criteria andQyrmcIsNotNull() {
            addCriterion("QYRMC is not null");
            return (Criteria) this;
        }

        public Criteria andQyrmcEqualTo(String value) {
            addCriterion("QYRMC =", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcNotEqualTo(String value) {
            addCriterion("QYRMC <>", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcGreaterThan(String value) {
            addCriterion("QYRMC >", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcGreaterThanOrEqualTo(String value) {
            addCriterion("QYRMC >=", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcLessThan(String value) {
            addCriterion("QYRMC <", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcLessThanOrEqualTo(String value) {
            addCriterion("QYRMC <=", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcLike(String value) {
            addCriterion("QYRMC like", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcNotLike(String value) {
            addCriterion("QYRMC not like", value, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcIn(List<String> values) {
            addCriterion("QYRMC in", values, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcNotIn(List<String> values) {
            addCriterion("QYRMC not in", values, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcBetween(String value1, String value2) {
            addCriterion("QYRMC between", value1, value2, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andQyrmcNotBetween(String value1, String value2) {
            addCriterion("QYRMC not between", value1, value2, "qyrmc");
            return (Criteria) this;
        }

        public Criteria andLscdIsNull() {
            addCriterion("LSCD is null");
            return (Criteria) this;
        }

        public Criteria andLscdIsNotNull() {
            addCriterion("LSCD is not null");
            return (Criteria) this;
        }

        public Criteria andLscdEqualTo(String value) {
            addCriterion("LSCD =", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotEqualTo(String value) {
            addCriterion("LSCD <>", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdGreaterThan(String value) {
            addCriterion("LSCD >", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdGreaterThanOrEqualTo(String value) {
            addCriterion("LSCD >=", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdLessThan(String value) {
            addCriterion("LSCD <", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdLessThanOrEqualTo(String value) {
            addCriterion("LSCD <=", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdLike(String value) {
            addCriterion("LSCD like", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotLike(String value) {
            addCriterion("LSCD not like", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdIn(List<String> values) {
            addCriterion("LSCD in", values, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotIn(List<String> values) {
            addCriterion("LSCD not in", values, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdBetween(String value1, String value2) {
            addCriterion("LSCD between", value1, value2, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotBetween(String value1, String value2) {
            addCriterion("LSCD not between", value1, value2, "lscd");
            return (Criteria) this;
        }

        public Criteria andShndIsNull() {
            addCriterion("SHND is null");
            return (Criteria) this;
        }

        public Criteria andShndIsNotNull() {
            addCriterion("SHND is not null");
            return (Criteria) this;
        }

        public Criteria andShndEqualTo(String value) {
            addCriterion("SHND =", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotEqualTo(String value) {
            addCriterion("SHND <>", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndGreaterThan(String value) {
            addCriterion("SHND >", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndGreaterThanOrEqualTo(String value) {
            addCriterion("SHND >=", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLessThan(String value) {
            addCriterion("SHND <", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLessThanOrEqualTo(String value) {
            addCriterion("SHND <=", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLike(String value) {
            addCriterion("SHND like", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotLike(String value) {
            addCriterion("SHND not like", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndIn(List<String> values) {
            addCriterion("SHND in", values, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotIn(List<String> values) {
            addCriterion("SHND not in", values, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndBetween(String value1, String value2) {
            addCriterion("SHND between", value1, value2, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotBetween(String value1, String value2) {
            addCriterion("SHND not between", value1, value2, "shnd");
            return (Criteria) this;
        }

        public Criteria andRksjIsNull() {
            addCriterion("RKSJ is null");
            return (Criteria) this;
        }

        public Criteria andRksjIsNotNull() {
            addCriterion("RKSJ is not null");
            return (Criteria) this;
        }

        public Criteria andRksjEqualTo(String value) {
            addCriterion("RKSJ =", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjNotEqualTo(String value) {
            addCriterion("RKSJ <>", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjGreaterThan(String value) {
            addCriterion("RKSJ >", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjGreaterThanOrEqualTo(String value) {
            addCriterion("RKSJ >=", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjLessThan(String value) {
            addCriterion("RKSJ <", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjLessThanOrEqualTo(String value) {
            addCriterion("RKSJ <=", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjLike(String value) {
            addCriterion("RKSJ like", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjNotLike(String value) {
            addCriterion("RKSJ not like", value, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjIn(List<String> values) {
            addCriterion("RKSJ in", values, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjNotIn(List<String> values) {
            addCriterion("RKSJ not in", values, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjBetween(String value1, String value2) {
            addCriterion("RKSJ between", value1, value2, "rksj");
            return (Criteria) this;
        }

        public Criteria andRksjNotBetween(String value1, String value2) {
            addCriterion("RKSJ not between", value1, value2, "rksj");
            return (Criteria) this;
        }

        public Criteria andBzfsIsNull() {
            addCriterion("BZFS is null");
            return (Criteria) this;
        }

        public Criteria andBzfsIsNotNull() {
            addCriterion("BZFS is not null");
            return (Criteria) this;
        }

        public Criteria andBzfsEqualTo(String value) {
            addCriterion("BZFS =", value, "bzfs");
            return (Criteria) this;
        }

        public Criteria andBzfsNotEqualTo(String value) {
            addCriterion("BZFS <>", value, "bzfs");
            return (Criteria) this;
        }

        public Criteria andBzfsGreaterThan(String value) {
            addCriterion("BZFS >", value, "bzfs");
            return (Criteria) this;
        }

        public Criteria andBzfsGreaterThanOrEqualTo(String value) {
            addCriterion("BZFS >=", value, "bzfs");
            return (Criteria) this;
        }

        public Criteria andBzfsLessThan(String value) {
            addCriterion("BZFS <", value, "bzfs");
            return (Criteria) this;
        }

        public Criteria andBzfsLessThanOrEqualTo(String value) {
            addCriterion("BZFS <=", value, "bzfs");
            return (Criteria) this;
        }

        public Criteria andBzfsLike(String value) {
            addCriterion("BZFS like", value, "bzfs");
            return (Criteria) this;
        }

        public Criteria andBzfsNotLike(String value) {
            addCriterion("BZFS not like", value, "bzfs");
            return (Criteria) this;
        }

        public Criteria andBzfsIn(List<String> values) {
            addCriterion("BZFS in", values, "bzfs");
            return (Criteria) this;
        }

        public Criteria andBzfsNotIn(List<String> values) {
            addCriterion("BZFS not in", values, "bzfs");
            return (Criteria) this;
        }

        public Criteria andBzfsBetween(String value1, String value2) {
            addCriterion("BZFS between", value1, value2, "bzfs");
            return (Criteria) this;
        }

        public Criteria andBzfsNotBetween(String value1, String value2) {
            addCriterion("BZFS not between", value1, value2, "bzfs");
            return (Criteria) this;
        }

        public Criteria andJylxIsNull() {
            addCriterion("JYLX is null");
            return (Criteria) this;
        }

        public Criteria andJylxIsNotNull() {
            addCriterion("JYLX is not null");
            return (Criteria) this;
        }

        public Criteria andJylxEqualTo(String value) {
            addCriterion("JYLX =", value, "jylx");
            return (Criteria) this;
        }

        public Criteria andJylxNotEqualTo(String value) {
            addCriterion("JYLX <>", value, "jylx");
            return (Criteria) this;
        }

        public Criteria andJylxGreaterThan(String value) {
            addCriterion("JYLX >", value, "jylx");
            return (Criteria) this;
        }

        public Criteria andJylxGreaterThanOrEqualTo(String value) {
            addCriterion("JYLX >=", value, "jylx");
            return (Criteria) this;
        }

        public Criteria andJylxLessThan(String value) {
            addCriterion("JYLX <", value, "jylx");
            return (Criteria) this;
        }

        public Criteria andJylxLessThanOrEqualTo(String value) {
            addCriterion("JYLX <=", value, "jylx");
            return (Criteria) this;
        }

        public Criteria andJylxLike(String value) {
            addCriterion("JYLX like", value, "jylx");
            return (Criteria) this;
        }

        public Criteria andJylxNotLike(String value) {
            addCriterion("JYLX not like", value, "jylx");
            return (Criteria) this;
        }

        public Criteria andJylxIn(List<String> values) {
            addCriterion("JYLX in", values, "jylx");
            return (Criteria) this;
        }

        public Criteria andJylxNotIn(List<String> values) {
            addCriterion("JYLX not in", values, "jylx");
            return (Criteria) this;
        }

        public Criteria andJylxBetween(String value1, String value2) {
            addCriterion("JYLX between", value1, value2, "jylx");
            return (Criteria) this;
        }

        public Criteria andJylxNotBetween(String value1, String value2) {
            addCriterion("JYLX not between", value1, value2, "jylx");
            return (Criteria) this;
        }

        public Criteria andWtdwbmIsNull() {
            addCriterion("WTDWBM is null");
            return (Criteria) this;
        }

        public Criteria andWtdwbmIsNotNull() {
            addCriterion("WTDWBM is not null");
            return (Criteria) this;
        }

        public Criteria andWtdwbmEqualTo(String value) {
            addCriterion("WTDWBM =", value, "wtdwbm");
            return (Criteria) this;
        }

        public Criteria andWtdwbmNotEqualTo(String value) {
            addCriterion("WTDWBM <>", value, "wtdwbm");
            return (Criteria) this;
        }

        public Criteria andWtdwbmGreaterThan(String value) {
            addCriterion("WTDWBM >", value, "wtdwbm");
            return (Criteria) this;
        }

        public Criteria andWtdwbmGreaterThanOrEqualTo(String value) {
            addCriterion("WTDWBM >=", value, "wtdwbm");
            return (Criteria) this;
        }

        public Criteria andWtdwbmLessThan(String value) {
            addCriterion("WTDWBM <", value, "wtdwbm");
            return (Criteria) this;
        }

        public Criteria andWtdwbmLessThanOrEqualTo(String value) {
            addCriterion("WTDWBM <=", value, "wtdwbm");
            return (Criteria) this;
        }

        public Criteria andWtdwbmLike(String value) {
            addCriterion("WTDWBM like", value, "wtdwbm");
            return (Criteria) this;
        }

        public Criteria andWtdwbmNotLike(String value) {
            addCriterion("WTDWBM not like", value, "wtdwbm");
            return (Criteria) this;
        }

        public Criteria andWtdwbmIn(List<String> values) {
            addCriterion("WTDWBM in", values, "wtdwbm");
            return (Criteria) this;
        }

        public Criteria andWtdwbmNotIn(List<String> values) {
            addCriterion("WTDWBM not in", values, "wtdwbm");
            return (Criteria) this;
        }

        public Criteria andWtdwbmBetween(String value1, String value2) {
            addCriterion("WTDWBM between", value1, value2, "wtdwbm");
            return (Criteria) this;
        }

        public Criteria andWtdwbmNotBetween(String value1, String value2) {
            addCriterion("WTDWBM not between", value1, value2, "wtdwbm");
            return (Criteria) this;
        }

        public Criteria andWtdwmcIsNull() {
            addCriterion("WTDWMC is null");
            return (Criteria) this;
        }

        public Criteria andWtdwmcIsNotNull() {
            addCriterion("WTDWMC is not null");
            return (Criteria) this;
        }

        public Criteria andWtdwmcEqualTo(String value) {
            addCriterion("WTDWMC =", value, "wtdwmc");
            return (Criteria) this;
        }

        public Criteria andWtdwmcNotEqualTo(String value) {
            addCriterion("WTDWMC <>", value, "wtdwmc");
            return (Criteria) this;
        }

        public Criteria andWtdwmcGreaterThan(String value) {
            addCriterion("WTDWMC >", value, "wtdwmc");
            return (Criteria) this;
        }

        public Criteria andWtdwmcGreaterThanOrEqualTo(String value) {
            addCriterion("WTDWMC >=", value, "wtdwmc");
            return (Criteria) this;
        }

        public Criteria andWtdwmcLessThan(String value) {
            addCriterion("WTDWMC <", value, "wtdwmc");
            return (Criteria) this;
        }

        public Criteria andWtdwmcLessThanOrEqualTo(String value) {
            addCriterion("WTDWMC <=", value, "wtdwmc");
            return (Criteria) this;
        }

        public Criteria andWtdwmcLike(String value) {
            addCriterion("WTDWMC like", value, "wtdwmc");
            return (Criteria) this;
        }

        public Criteria andWtdwmcNotLike(String value) {
            addCriterion("WTDWMC not like", value, "wtdwmc");
            return (Criteria) this;
        }

        public Criteria andWtdwmcIn(List<String> values) {
            addCriterion("WTDWMC in", values, "wtdwmc");
            return (Criteria) this;
        }

        public Criteria andWtdwmcNotIn(List<String> values) {
            addCriterion("WTDWMC not in", values, "wtdwmc");
            return (Criteria) this;
        }

        public Criteria andWtdwmcBetween(String value1, String value2) {
            addCriterion("WTDWMC between", value1, value2, "wtdwmc");
            return (Criteria) this;
        }

        public Criteria andWtdwmcNotBetween(String value1, String value2) {
            addCriterion("WTDWMC not between", value1, value2, "wtdwmc");
            return (Criteria) this;
        }

        public Criteria andJcsjIsNull() {
            addCriterion("JCSJ is null");
            return (Criteria) this;
        }

        public Criteria andJcsjIsNotNull() {
            addCriterion("JCSJ is not null");
            return (Criteria) this;
        }

        public Criteria andJcsjEqualTo(String value) {
            addCriterion("JCSJ =", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjNotEqualTo(String value) {
            addCriterion("JCSJ <>", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjGreaterThan(String value) {
            addCriterion("JCSJ >", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjGreaterThanOrEqualTo(String value) {
            addCriterion("JCSJ >=", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjLessThan(String value) {
            addCriterion("JCSJ <", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjLessThanOrEqualTo(String value) {
            addCriterion("JCSJ <=", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjLike(String value) {
            addCriterion("JCSJ like", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjNotLike(String value) {
            addCriterion("JCSJ not like", value, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjIn(List<String> values) {
            addCriterion("JCSJ in", values, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjNotIn(List<String> values) {
            addCriterion("JCSJ not in", values, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjBetween(String value1, String value2) {
            addCriterion("JCSJ between", value1, value2, "jcsj");
            return (Criteria) this;
        }

        public Criteria andJcsjNotBetween(String value1, String value2) {
            addCriterion("JCSJ not between", value1, value2, "jcsj");
            return (Criteria) this;
        }

        public Criteria andOrgCodeIsNull() {
            addCriterion("ORG_CODE is null");
            return (Criteria) this;
        }

        public Criteria andOrgCodeIsNotNull() {
            addCriterion("ORG_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andOrgCodeEqualTo(String value) {
            addCriterion("ORG_CODE =", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeNotEqualTo(String value) {
            addCriterion("ORG_CODE <>", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeGreaterThan(String value) {
            addCriterion("ORG_CODE >", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeGreaterThanOrEqualTo(String value) {
            addCriterion("ORG_CODE >=", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeLessThan(String value) {
            addCriterion("ORG_CODE <", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeLessThanOrEqualTo(String value) {
            addCriterion("ORG_CODE <=", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeLike(String value) {
            addCriterion("ORG_CODE like", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeNotLike(String value) {
            addCriterion("ORG_CODE not like", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeIn(List<String> values) {
            addCriterion("ORG_CODE in", values, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeNotIn(List<String> values) {
            addCriterion("ORG_CODE not in", values, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeBetween(String value1, String value2) {
            addCriterion("ORG_CODE between", value1, value2, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeNotBetween(String value1, String value2) {
            addCriterion("ORG_CODE not between", value1, value2, "orgCode");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}